Bug 1186932 - Config Groups: Tooltips used for adding/removing classes to a config group could be streamlined
Summary: Config Groups: Tooltips used for adding/removing classes to a config group co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.0.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Tomer Brisker
QA Contact: Corey Welton
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-28 22:03 UTC by Matt Reid
Modified: 2019-09-25 20:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 08:46:54 UTC
Target Upstream Version:


Attachments (Terms of Use)
Click to undo adding this class (34.24 KB, image/png)
2015-01-28 22:04 UTC, Matt Reid
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 9453 None None None 2016-04-22 16:17:01 UTC
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Matt Reid 2015-01-28 22:03:48 UTC
Description of problem:
When you create or edit a config group, the tooltip for adding a class is "Click to add <class name>". After you click that, you can then remove it, and our tooltip for that is "Click to undo adding this class".

We could make those more concise if we simply said "Add this class" and "Remove this class". By nature of being a tooltip on a clickable element, I think it's implied that if they click it, the action the tooltip says will happen. 'Remove' is the more expected opposite to 'add' than 'undo adding'.

Version-Release number of selected component (if applicable):
6.0.6

Comment 1 RHEL Program Management 2015-01-28 22:04:22 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 2 Matt Reid 2015-01-28 22:04:39 UTC
Created attachment 985382 [details]
Click to undo adding this class

Comment 4 Bryan Kearney 2015-02-18 21:20:09 UTC
Created redmine issue http://projects.theforeman.org/issues/9453 from this bug

Comment 5 Bryan Kearney 2015-08-28 10:02:54 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/9453 has been closed
-------------
Anonymous
Applied in changeset commit:f9d9ece7f135fc583b8df138a305267abd289a23.

Comment 6 Tazim Kolhar 2015-11-10 09:52:17 UTC
VERIFIED:
# rpm -qa | grep foreman
foreman-gce-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
hp-bl465cg7-01.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch
hp-bl465cg7-01.rhts.eng.bos.redhat.com-foreman-proxy-1.0-1.noarch
foreman-selinux-1.11.0-0.develop.201510071426git6234447.el7.noarch
tfm-rubygem-foreman_bootdisk-6.0.0-2.fm1_10.el7.noarch
foreman-release-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
foreman-ovirt-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.8-1.el7.noarch
foreman-libvirt-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
foreman-postgresql-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
foreman-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
tfm-rubygem-foreman_gutterball-0.0.1-3.el7.noarch
hp-bl465cg7-01.rhts.eng.bos.redhat.com-foreman-proxy-client-1.0-1.noarch
tfm-rubygem-foreman_discovery-4.1.2-1.fm1_11.el7.noarch
foreman-compute-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.3-4.el7.noarch
foreman-debug-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
foreman-proxy-1.11.0-0.develop.201511020918git26aba85.el7.noarch
foreman-vmware-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
tfm-rubygem-hammer_cli_foreman-0.4.0-1.201510201150gitab068d9.el7.noarch
tfm-rubygem-foreman_hooks-0.3.9-1.el7.noarch
tfm-rubygem-foreman-tasks-0.7.6-1.fm1_10.el7.noarch
foreman-release-scl-1-1.el7.x86_64
tfm-rubygem-foreman_docker-1.4.1-2.fm1_10.el7.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3-3.el7.noarch

steps:
When you create or edit a config group, the tooltip for adding a class is "Click to add <class name>". After you click that, you can then remove it, and our tooltip for that is "Click to remove <class name>"

Comment 10 errata-xmlrpc 2016-07-27 08:46:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.